import { Singleton, Container, Scope, Inject } from "typescript-ioc";
import * as schedule from 'node-schedule'
import { Config } from '../config/Config'

@Singleton
export class DefaultVersionSchedule {
    constructor() {
        this.init();
    }

    private init() {
        schedule.scheduleJob('0/5 * * * * ?', async () => {
            //todo 定时从redis拉取默认版本配置设置到内存中（从注册中心写入redis）
        });
    }
}